Page MenuHomePhabricator

[Task] Decide if the Teahouse extension can be archived
Closed, ResolvedPublic

Description

People are taking care of all the extensions we host, including Teahouse. But patches uploaded there don't get reviews any more. Is it still useful to maintain this codebase? Or should we archive the code repository?

https://gerrit.wikimedia.org/r/#/admin/projects/mediawiki/extensions/Teahouse

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 20 2017, 7:27 PM
Bmueller removed Bmueller as the assignee of this task.Sep 20 2017, 8:08 PM
Bmueller edited projects, added MediaWiki-extensions-Teahouse; removed Teahouse.

@thiemowmde - from my perspective, the code repository could be archived unless noone wants to take over. But Teahouse wasn't a sd&e project, and therefore Teahouse is neither in our plan nor can I decide this. But I can try to get this info from the volunteer support department.

Where was the Teahouse extension enabled? I've only ever seen it on testwiki. I know that it was never enabled on EnWiki.

It used to be enabled on dewiki.
It was turned off because it worked too well (too many people asked questions).

Cirdan added a subscriber: Cirdan.Mar 26 2019, 7:25 PM

Hello,

This task has been open since 20 Sept. 2017. I see no objections here for this extension to be archived, but considering the most recent comment dates back to 2017 as well I'd like to ask:

  • if the issues raised in this Task are still valid, and
  • if there are any objections to go ahead and archive this repository.

Thanks.

MarcoAurelio triaged this task as Lowest priority.Feb 16 2020, 12:42 PM

I'll note that none of the related pages on MW.org that I checked (the main extension page, as well as the /Development and /DE subpages) have any significant edits from more recent than 2015 or so, the only related talk page I saw only has a single topic from two years ago, and WikiApiary doesn't list any wiki as having it installed. Other extensions have been archived for less; my vote is to go ahead with archival.

Restricted Application added a project: User-MarcoAurelio. · View Herald TranscriptFeb 16 2020, 2:16 PM

I was one of the active developers, and one of the very few still around. However, even if I love keeping obscure codebases up to date, this is sooooo unused by now (actually zero according to https://www.wikiapiary.com/wiki/Extension:Teahouse), I don't think it makes sense to make people invest more time on this. Let's please archive it.

Alright, I'll start the archiving soon then.

Alright, I'll start the archiving soon then.

Are you planning to do so in this task, or in a new one created just for that purpose?

Change 572653 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[integration/config@master] [Teahouse] Archive extension

https://gerrit.wikimedia.org/r/572653

Change 572656 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[mediawiki/extensions/Teahouse@master] Archive extension

https://gerrit.wikimedia.org/r/572656

Change 572656 merged by jenkins-bot:
[mediawiki/extensions/Teahouse@master] Archive extension

https://gerrit.wikimedia.org/r/572656

Change 572657 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[mediawiki/extensions@master] [Teahouse] Archive extension

https://gerrit.wikimedia.org/r/572657

Change 572657 merged by MarcoAurelio:
[mediawiki/extensions@master] [Teahouse] Archive extension

https://gerrit.wikimedia.org/r/572657

Mentioned in SAL (#wikimedia-releng) [2020-02-17T12:34:37Z] <hauskatze> extension-Teahouse@github: Mirror deleted # T176349

Mentioned in SAL (#wikimedia-releng) [2020-02-17T12:34:56Z] <hauskatze> extension-Teahouse@phab: Mirror deactivated # T176349

MarcoAurelio moved this task from unsorted/backlog to cabinet on the User-MarcoAurelio board.

Save the integration/config patch which I cannot merge myself, everything else should be done.

Change 572653 merged by jenkins-bot:
[integration/config@master] [Teahouse] Archive extension

https://gerrit.wikimedia.org/r/572653

Mentioned in SAL (#wikimedia-releng) [2020-02-18T21:23:22Z] <James_F> Zuul: [mediawiki/extensions/Teahouse] Archive repo T176349

matmarex closed this task as Resolved.Feb 18 2020, 11:27 PM